<!DOCTYPE html>
<html lang="fr">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="style.css">
    <link rel="preconnect" href="https://fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css2?family=Great+Vibes&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Berkshire+Swash&display=swap" rel="stylesheet">
    <title>Noera Countdown</title>
    <script src="https://cdn.jsdelivr.net/npm/darkmode-js@1.5.7/lib/darkmode-js.min.js"></script>
    <script>
        function changeimage() {
            document.getElementById("myDiv").src = background[numimage];
            if (numimage == 1) numimage = 0;
            else numimage++;
        }
        var background = new Array("img/bg-light.jpg", "img/bg-dark.jpg", );
        var numimage = 1;

        var now = new Date();
        var today = now.getDay();
        var startTime = new Date();
        startTime.setHours(06);
        startTime.setMinutes(00);
        startTime.setSeconds(00);
        var endTime = new Date();
        endTime.setHours(18);
        endTime.setMinutes(00);
        endTime.setSeconds(00);

        if (today > 0 && today < 6) {
            if (startTime < now && endTime > now) {
                document.write('<img src="img/bg-light.jpg">');
            } else {
                document.write('<img src="img/bg-dark.jpg">');
            }
        } else {
            document.write('<img src="img/bg-light.jpg">');
        }


        var audio=document.createElement('audio');
 var first=true;
      window.addEventListener('mousedown',onmousedown);
 
    function onmousedown(){
       if(!first) return;
       first=false;
       audio.src="tonaudio.mp3";
       audio.play();
    }
    
    </script>
</head>

<body>

    <audio controls loop>
        <source src="audio/Musiques de Noël Instrumentales Très Douces  Relaxing Christmas Music Instrument.m4a" type="audio/m4a">
    </audio>

    <img class="erzanoël" src="img/ErzaNoël.png" alt="">
    <img class="goku" src="img/GokuNoël.png" alt="">
    <img class="kakashi" src="img/KakashietGai.png" alt="">
    <img class="zoro" src="img/ZoroNoël.png" alt="">
    <img class="nezuko" src="img/Nezuko.png" alt="">

    <img class="santa" src="img/santa.gif" alt="">

    <img id="fin" src="img/Imagedefin.png" alt="">

    <iframe width="0" height="0" src="https://www.youtube.com/embed/R1gskElaLNo?rel=0&autoplay=1" allow="autoplay" frameborder="0" allowfullscreen></iframe>
     
    <table class="countdownContainer">

        <tr class="info">
            <td colspan="4">Noera Countdown</td>
        </tr>
        <tr class="info">
           <td id="days"></td>
           <td id="hours"></td>
           <td id="minutes"></td>
           <td id="seconds"></td>
        </tr>
        <tr class="text">
        <td>Jour(s)</td>
        <td>Heure(s)</td>
        <td>Minute(s)</td>
        <td>Seconde(s)</td>
        </tr>
    </table>


    <script type="text/javascript">
        function countdown() {
            var now = new Date();
            var eventDate = new Date(now.getFullYear(), 11, 25);

            var currentTime = now.getTime();
            var eventTime = eventDate.getTime();

            var remTime = eventTime - currentTime;

            var s = Math.floor(remTime / 1000);
            var m = Math.floor(s / 60);
            var h = Math.floor(m / 60);
            var d = Math.floor(h / 24);

            h %= 24;
            m %= 60;
            s %= 60;

            h = (h < 10) ? "0" + h : h;
            m = (m < 10) ? "0" + m : m;
            s = (s < 10) ? "0" + s : s;

            document.getElementById("days").textContent = d;
            document.getElementById("days").innerContent = d;

            document.getElementById("hours").textContent = h;
            document.getElementById("minutes").textContent = m;
            document.getElementById("seconds").textContent = s;

            setTimeout(countdown, 1000);
            if (d == 0 && h == 0 && m == 0 && s == 0) {
                document.write('<img src="img/fin.png">');
            }
        }
        countdown()


    </script>
    <script type="text/javascript">
        var no = 100;
        var delai = 10;
        var dx = new Array(),
            xp = new Array(),
            yp = new Array();
        var am = new Array(),
            stx = new Array(),
            sty = new Array();
        var i;
        larg_fenetre = (document.body.offsetWidth < window.innerWidth) ? window.innerWidth : document.body.offsetWidth;
        haut_fenetre = (document.body.offsetHeight < window.innerHeight) ? window.innerHeight : document.body
            .offsetHeight;

        for (i = 0; i < no; i++) {
            dx[i] = 0;
            xp[i] = Math.random() * (larg_fenetre - 40);
            yp[i] = Math.random() * haut_fenetre;
            am[i] = Math.random() * 20;
            stx[i] = 0.02 + Math.random() / 10;
            sty[i] = 0.7 + Math.random();

            obj = document.getElementsByTagName('body')[0];
            para = document.createElement("img");
            para.setAttribute("src", "img/neige.gif");
            para.setAttribute("id", "dot" + i);
            para.style.position = "absolute";
            para.style.zIndex = "2";
            obj.appendChild(para);
        }

        function neige() {
            for (i = 0; i < no; i++) {
                dx[i] += stx[i];
                yp[i] += sty[i];
                if (yp[i] > haut_fenetre - 50) {
                    xp[i] = Math.random() * (larg_fenetre - am[i] - 40);
                    yp[i] = 0;
                }
                document.getElementById("dot" + i).style.top = yp[i] + "px";
                document.getElementById("dot" + i).style.left = xp[i] + am[i] * Math.sin(dx[i]) + "px";
            }
            setTimeout("neige()", delai);
        }

        neige();


    </script>

</body>

</html>